import request from '@/utils/request'

// 查询cmc合同意见列表
export function listContractComment(query) {
  return request({
    url: '/oa/contractComment/list',
    method: 'get',
    params: query
  })
}

// 查询cmc合同意见详细
export function getContractComment(commentId) {
  return request({
    url: '/oa/contractComment/' + commentId,
    method: 'get'
  })
}

// 新增cmc合同意见
export function addContractComment(data) {
  return request({
    url: '/oa/contractComment',
    method: 'post',
    data: data
  })
}

// 修改cmc合同意见
export function updateContractComment(data) {
  return request({
    url: '/oa/contractComment',
    method: 'put',
    data: data
  })
}

// 删除cmc合同意见
export function delContractComment(commentId) {
  return request({
    url: '/oa/contractComment/' + commentId,
    method: 'delete'
  })
}
